Package org.eclipse.jface.contentassist

## Class SubjectControlContentAssistant

- java.lang.Object
- - org.eclipse.jface.text.contentassist.ContentAssistant
  - - org.eclipse.jface.contentassist.SubjectControlContentAssistant

All Implemented Interfaces:
  `ISubjectControlContentAssistant`, `IContentAssistant`, `IContentAssistantExtension`, `IContentAssistantExtension2`, `IContentAssistantExtension3`, `IContentAssistantExtension4`, `IWidgetTokenKeeper`, `IWidgetTokenKeeperExtension`

    @Deprecated
    public class SubjectControlContentAssistant
    extends ContentAssistant
    implements ISubjectControlContentAssistant

Deprecated.
As of 3.2, replaced by Platform UI's field assist support *
The standard implementation of the `ISubjectControlContentAssistant` interface. Usually, clients instantiate this class and configure it before using it.

Since:
  3.0

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.jface.text.contentassist.ContentAssistant

`ContentAssistant.AutoAssistListener`

### Field Summary

### Fields inherited from class org.eclipse.jface.text.contentassist.ContentAssistant

`SELECT_NEXT_PROPOSAL_COMMAND_ID, SELECT_PREVIOUS_PROPOSAL_COMMAND_ID, STORE_CONTEXT_SELECTOR_POPUP_SIZE_X, STORE_CONTEXT_SELECTOR_POPUP_SIZE_Y, STORE_SIZE_X, STORE_SIZE_Y, WIDGET_PRIORITY`

### Fields inherited from interface org.eclipse.jface.text.contentassist.IContentAssistant

`CONTEXT_INFO_ABOVE, CONTEXT_INFO_BELOW, PROPOSAL_OVERLAY, PROPOSAL_REMOVE, PROPOSAL_STACKED`

### Constructor Summary

Constructors
`SubjectControlContentAssistant()` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`void` `install​(IContentAssistSubjectControl contentAssistSubjectControl)` Deprecated. Installs content assist support on the given subject.

### Methods inherited from class org.eclipse.jface.text.contentassist.ContentAssistant

`addCompletionListener, addContentAssistProcessor, completePrefix, contextInformationClosed, createAutoAssistListener, enableAutoActivation, enableAutoInsert, enableColoredLabels, enableCompletionProposalTriggerChars, enablePrefixCompletion, getAutoActivationDelay, getContentAssistProcessor, getDocumentPartitioning, getHandler, hasProposalPopupFocus, hide, install, install, isCompletionProposalTriggerCharsEnabled, isContextInfoPopupActive, isProposalPopupActive, possibleCompletionsClosed, registerHandler, removeCompletionListener, removeContentAssistProcessor, requestWidgetToken, requestWidgetToken, restoreCompletionProposalPopupSize, restoreContextSelectorPopupSize, setAutoActivationDelay, setContentAssistProcessor, setContextInformationPopupBackground, setContextInformationPopupForeground, setContextInformationPopupOrientation, setContextSelectorBackground, setContextSelectorForeground, setDocumentPartitioning, setEmptyMessage, setFocus, setInformationControlCreator, setProposalPopupOrientation, setProposalSelectorBackground, setProposalSelectorForeground, setRepeatedInvocationMode, setRepeatedInvocationTrigger, setRestoreCompletionProposalSize, setShowEmptyList, setSorter, setStatusLineVisible, setStatusMessage, showContextInformation, showPossibleCompletions, storeCompletionProposalPopupSize, storeContextSelectorPopupSize, uninstall`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.text.contentassist.IContentAssistant

`getContentAssistProcessor, install, showContextInformation, showPossibleCompletions, uninstall`

### Constructor Detail

#### SubjectControlContentAssistant

    public SubjectControlContentAssistant()

Deprecated.

### Method Detail

#### install

    public void install​(IContentAssistSubjectControl contentAssistSubjectControl)

Deprecated.
Description copied from interface: `ISubjectControlContentAssistant`
Installs content assist support on the given subject.

Specified by:
  `install` in interface `ISubjectControlContentAssistant`
Overrides:
  `install` in class `ContentAssistant`
Parameters:
  `contentAssistSubjectControl` - the one who requests content assist